% Background correction, subtract by mean or interpolation of background over spot
% 17 px x 17 px box, 11 px diameter spot

function img_corrected = bgcorrect(img)

    [xgrid,ygrid] = meshgrid(1:17);
    spot_mask = sqrt((xgrid-9).^2+(ygrid-9).^2)<=5;
    bg_mask = not(spot_mask);
    [bg_y,bg_x] = find(bg_mask);
    bg_v = img(bg_mask);
    % bg_interpolate = griddata(bg_x,bg_y,bg_v,xgrid,ygrid);  % interpolate over spot region from background region
    % img_corrected = img - bg_interpolate;
    img_corrected = img - mean(bg_v);  % subtract mean of background

end
